### Function

# Nautilus FileInfo list_copy

#### Declaration [src]

    GList*
    nautilus_file_info_list_copy (
      GList* files
    )

#### Description [src]

Deep copy a list of `NautilusFileInfo`.

#### Parameters

`files`

  Type: A list of `NautilusFileInfo*`

  The files to copy.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `NautilusFileInfo*`

A copy of `files`. Use `nautilus_file_info_list_free()` to free the list and unref its contents.

The caller of the function takes ownership of the data, and is responsible for freeing it.